---
title: Set Default Payment Method
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Accounts](https://developers.cloudflare.com/api/go/resources/accounts)

[Payment Methods](https://developers.cloudflare.com/api/go/resources/accounts/subresources/payment_methods)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Set Default Payment Method

client.Accounts.PaymentMethods.SetAsDefault(ctx, paymentMethodID, body) (\*unknown, error)

POST/accounts/{account\_id}/payment-methods/{payment\_method\_id}/set-as-default

Sets a payment method as the default for an account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Billing Write`

##### ParametersExpand Collapse

paymentMethodID string

Identifier

maxLength32

[Link to this property](<#(resource)%20accounts.payment_methods%20%3E%20(method)%20set_as_default%20%3E%20(params)%20default%20%3E%20(param)%20payment_method_id%20%3E%20(schema)>)

<details>

<summary>

body PaymentMethodSetAsDefaultParams

</summary>

AccountID param.Field\[string]

Identifier

maxLength32

<a href="#(resource)%20accounts.payment_methods%20%3E%20(method)%20set_as_default%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20accounts.payment_methods%20%3E%20(method)%20set_as_default%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type PaymentMethodSetAsDefaultResponseEnvelopeResult interface{…}

</summary>

One of the following:

unknown

<a href="#(resource)%20accounts.payment_methods%20%3E%20(method)%20set_as_default%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%3E%20(variant)%200">Link to this property</a>

</details>

[Link to this property](<#(resource)%20accounts.payment_methods%20%3E%20(method)%20set_as_default%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

### Set Default Payment Method

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/accounts"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Accounts.PaymentMethods.SetAsDefault(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    accounts.PaymentMethodSetAsDefaultParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
```